### Method

# Goa Object peek_files

since: 3.8.0

#### Declaration [src]

    GoaFiles*
    goa_object_peek_files (
      GoaObject* object
    )

#### Description [src]

Like `goa_object_get_files()` but doesn’t increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the `GDBusObjectManagerClient` or `GDBusObjectManagerServer` for `object` is running.

Available since: 3.8.0

This method is not directly available to language bindings.

#### Return value

Type: `GoaFiles`

A `GoaFiles` or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object`.

The returned data is owned by the instance.
The return value can be `NULL`.